#include <stdio.h>
 
/*
 * Bartosz "WiedMAC" Bednarczyk
 * Liceum Oglnoksztacce im. Wadysawa Broniewskiego w Strzelcach Opolskich
 * Iteracyjne obliczanie wartoci Symbolu Newtona ( ANSI C )
 * www.algorytm.org
 */
 
double Newton( unsigned int n, unsigned int k)  // Funkcja obliczajca symbol newtona
{
        double Wynik = 1;       // Deklaracja zmiennych ( uywamy double dla dokadnoci oblicze )
        unsigned int i; 
        
        for(i = 1; i <= k; i++) // Od 1 do k wykonujemy : 
        {
                Wynik = Wynik * ( n - i + 1 ) / i;      // Obliczanie ze wzoru iteracyjnego
        }
        
        return Wynik;   // Zwr Wynik
}
 
int main(void) 
{
        unsigned int n, k;
        
        scanf("%d %d", &n, &k );        // Wczytywanie liczb
        
        if( k == 0 || k == n ) puts("1");       // Jeeli k = 0 lub k = n to wypisz 1
        else printf( "%.0lf", Newton(n, k) );   // W przeciwnym wypadku oblicz warto symbolu newtona
                    
        return 0;
}
